---
title: "Retrieve SKU"
source_url: https://docs.rapyd.net/en/retrieve-sku.html
lang: en
---

# Retrieve SKU

Retrieve the details of an SKU.

### Parameters

### Request Path Parameters

- - sku
  - ID of the `sku` object. String starting with **sku_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - active
  - Indicates whether the product is currently being sold.
- - attributes
  - Up to 5 alphanumeric key-value pairs defined by the merchant. For example:

    ```json
    {
        "size": 12,
        "color": "red",
        "arm_rest": true
    }
    ```

    Each key must match a string in the `attributes` list of the corresponding `product` object.
- - created_at
  - Time of creation of this SKU, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - currency
  - Three-letter ISO 4217 code for the currency used in the `price` field.
- - id
  - ID of the SKU object. Alphanumeric characters and underscores (_). Defined by the merchant, or a string starting with **sku_**.
- - image
  - URL of image associated with the product.
- - inventory
  - Contains the following fields:

    - - quantity
      - The number of units available in inventory. Integer. Relevant when `type` is **finite**.
    - - type
      - One of the following values:

        - **finite** - Physical objects that can be counted.
        - **infinite** - Products such as downloadable software.
        - **bucket** - Products that are sold by measurable quantity.
    - - value
      - The status of the product on hand in inventory. Relevant when `type` is **bucket**. One of the following:

        - **in_stock** - A normal amount of product is available in inventory.
        - **limited** - There is enough product in inventory for small orders only.
        - **out_of_stock** - No product remains in inventory.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - package_dimensions
  - Physical attributes of the SKU item. Object containing the following fields. These fields are represented as numbers, but it is the responsibility of the merchant to define and interpret the relevant units of length and weight.

    - - height
      - Height of the package, in units defined by the client.
    - - length
      - Length of the package, in units defined by the client.
    - - weight
      - Weight of the package, in units defined by the client.
    - - width
      - Width of the package, in units defined by the client.
- - price
  - Price of one unit. Decimal.
- - product
  - ID of the product that this SKU relates to.
- - size
  - The size of the product.
- - updated_at
  - Time that this SKU was last updated, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string sku = "sku_a6d86bdc6f3a7ef6cb51de5a5678493f";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/skus/{sku}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest('GET', '/v1/skus/sku_a6d86bdc6f3a7ef6cb51de5a5678493f');

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);
      try {
          $object = make_request('get', '/v1/skus/sku_a6d86bdc6f3a7ef6cb51de5a5678493f');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      result = make_request(method='get', path='/v1/skus/sku_a6d86bdc6f3a7ef6cb51de5a5678493f')
      pprint(result)
      ```

- /v1/skus/:sku

- Retrieve SKU
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/skus/sku_07d82eada5f1c13c8d91765ccf176391' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "543c601c-2303-41a9-8688-ddb2d0b4705e"
      },
      "data": {
          "id": "sku_07d82eada5f1c13c8d91765ccf176391",
          "active": true,
          "attributes": {
              "color": "green",
              "arm_rest": true
          },
          "created_at": 1763308396,
          "currency": "USD",
          "image": "",
          "inventory": {
              "type": "finite",
              "quantity": 1,
              "value": ""
          },
          "metadata": {},
          "price": 600,
          "product": "product_dfe57370fa32091b4cd7132abdac5edb",
          "package_dimensions": {
              "length": 2,
              "height": 1,
              "weight": 3,
              "width": 4
          },
          "updated_at": 1763308396
      }
  }
  ```
